%define anolis_release 2

%global api_version 0.3
 
Name:           libcloudproviders
Summary:        Library for integration of cloud storage providers
Version:        0.3.1
Release:        %{anolis_release}%{?dist}
License:        LGPLv3+
 
URL:            https://gitlab.gnome.org/World/libcloudproviders
Source0:        https://gitlab.gnome.org/World/libcloudproviders/-/archive/%{version}/%{name}-%{version}.tar.gz
 
BuildRequires:  gcc
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  vala
 
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
 
%description
Cross desktop library for desktop integration of cloud storage providers
and sync tools.
 
%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}. 

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
 
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1
 
 
%build
%meson -Denable-gtk-doc=true
%meson_build
 
%install
%meson_install
 
%files
%license LICENSE
 
%{_libdir}/%{name}.so.0*
%{_libdir}/girepository-1.0/CloudProviders-%{api_version}.typelib

%files doc
%doc CHANGELOG README.md

%files devel
%{_includedir}/cloudproviders/
 
%{_libdir}/pkgconfig/cloudproviders.pc
%{_libdir}/%{name}.so
 
%{_datadir}/gir-1.0/CloudProviders-%{api_version}.gir
%{_datadir}/gtk-doc/
%{_datadir}/vala/vapi/cloudproviders.*
 
 
%changelog
* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.1-2
- add doc package

* Tue May 10 2022 gaochang <taifu.gc@alibaba-inc.com> - 0.3.1-1
- Init from upstream 0.3.1
